Knowledgebase: Installing
How do I install the plug-ins on Photoshop Elements 6/7?
Posted by - NA -, Last modified by on 05 March 2009 12:09 PM
Please make sure to download and install the latest version of the plug-in available from our Download Page. Imagenomic's current versions are fully compatible with Photoshop Elements 6 & 7.

Comments (0)